import { Construct } from 'constructs';
/**
 * @stability stable
 */
export declare enum PhoneNumberType {
    /**
     * @stability stable
     */
    LOCAL = "Local",
    /**
     * @stability stable
     */
    TOLLFREE = "TollFree"
}
/**
 * @stability stable
 */
export declare enum PhoneCountry {
    /**
     * @stability stable
     */
    AU = "AU",
    /**
     * @stability stable
     */
    AT = "AT",
    /**
     * @stability stable
     */
    CA = "CA",
    /**
     * @stability stable
     */
    DK = "DK",
    /**
     * @stability stable
     */
    DE = "DE",
    /**
     * @stability stable
     */
    IE = "IE",
    /**
     * @stability stable
     */
    IT = "IT",
    /**
     * @stability stable
     */
    NZ = "NZ",
    /**
     * @stability stable
     */
    NG = "NG",
    /**
     * @stability stable
     */
    PR = "PR",
    /**
     * @stability stable
     */
    KR = "KR",
    /**
     * @stability stable
     */
    SE = "SE",
    /**
     * @stability stable
     */
    CH = "CH",
    /**
     * @stability stable
     */
    UK = "UK",
    /**
     * @stability stable
     */
    US = "US"
}
/**
 * @stability stable
 */
export declare enum PhoneProductType {
    /**
     * @stability stable
     */
    SMA = "SipMediaApplicationDialIn",
    /**
     * @stability stable
     */
    VC = "VoiceConnector"
}
/**
 * @stability stable
 */
export interface PhoneNumberProps {
    /**
     * @stability stable
     */
    readonly phoneAreaCode?: number;
    /**
     * @stability stable
     */
    readonly phoneCity?: string;
    /**
     * @stability stable
     */
    readonly phoneState?: string;
    /**
     * @stability stable
     */
    readonly phoneNumberType?: PhoneNumberType;
    /**
     * @stability stable
     */
    readonly phoneNumberTollFreePrefix?: number;
    /**
     * @stability stable
     */
    readonly phoneCountry?: PhoneCountry;
    /**
     * @stability stable
     */
    readonly phoneProductType: PhoneProductType;
}
/**
 * @stability stable
 */
export declare class ChimePhoneNumber extends Construct {
    /**
     * @stability stable
     */
    readonly phoneNumber: string;
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, props: PhoneNumberProps);
}
