import { Construct } from 'constructs';
/**
 * @stability stable
 */
export declare enum TriggerType {
    /**
     * @stability stable
     */
    TO_PHONE_NUMBER = "ToPhoneNumber",
    /**
     * @stability stable
     */
    REQUEST_URI_HOSTNAME = "RequestUriHostname"
}
/**
 * @stability stable
 */
export interface SipRuleProps {
    /**
     * @stability stable
     */
    readonly name?: string;
    /**
     * @stability stable
     */
    readonly triggerType: TriggerType;
    /**
     * @stability stable
     */
    readonly triggerValue: string;
    /**
     * @stability stable
     */
    readonly sipMediaApplicationId: string;
    /**
     * @stability stable
     */
    readonly priority: number;
    /**
     * @stability stable
     */
    readonly region?: string;
}
/**
 * @stability stable
 */
export declare class ChimeSipRule extends Construct {
    /**
     * @stability stable
     */
    readonly sipRuleId: string;
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, props: SipRuleProps);
}
